#ifndef KEYS_H
#define KEYS_H

#include <kdialogbase.h>
#include <qlabel.h>
#include <qstring.h>

class Keys : public KDialogBase
{
    Q_OBJECT
public:
		Keys( QWidget *parent=0, const char *name=0, int player=1 );
private slots:
    void butRight();
    void butLeft();
    void butUp();
    void butDown();

    void getKey(int);
    void defaults();
    void focusIn(QLabel *);
    void focusOut(QLabel *);

    void ok();

protected:
    void  keyPressEvent( QKeyEvent * );
private:

    void init();

    QLabel *labels[4];
    QLabel *lab;
	
	int playerNum;
};




#endif // KEYS_H
